> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.monite.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.monite.com/_mcp/server.

# Enable payment methods for an entity

## Overview

Before an entity can receive or make payments via Monite payment rails, you need to specify the payment methods that the entity will be able to use.

Supported payment methods vary by entity country. See [Payment methods](../payment-methods) for the country coverage.

> **Info**
>
> All API calls mentioned on this page require a partner access token.

## Enable payment methods

To enable one or more payment methods for an entity, call [`PUT /entities/{entity_id}/payment_methods`](/v2023-09-01/api/payment-methods/put-entities-id-payment-methods). In the request body, the `payment_methods_receive` list specifies the methods by which the entity can receive payments from its counterparts, and the `payment_methods_send` list specifies the methods that the entity can use to make payments to others.

```sh
curl -X PUT 'https://api.sandbox.monite.com/v1/entities/3fa85f64...3f66afa6/payment_methods' \
     -H 'X-Monite-Version: 2023-09-01' \
     -H 'Authorization: Bearer YOUR_PARTNER_TOKEN' \
     -H 'Content: application/json' \
     -d '{
       "payment_methods_send": [
         "sepa_credit"
       ],
       "payment_methods_receive": [
         "card",
         "sepa_credit",
         "sepa_debit"
       ],
     }'
```

> **Info**
>
> Some payment methods can be used both to send and receive payments, while others can be used only to send or only to receive payments. Refer to the [Payment method codes](#payment-method-codes) table below.

In the response, check the `status` of each payment method. Those with the `active` status can be used immediately, whereas `inactive` methods require additional [onboarding](../index) of the entity.

```json
{
  "data": [
    {
      "name": "Card payments",
      "type": "card",
      "status": "inactive",
      "direction": "receive"
    },
    {
      "name": "SEPA Payments",
      "type": "sepa_credit",
      "status": "active",
      "direction": "receive"
    },
    {
      "name": "SEPA Payments",
      "type": "sepa_credit",
      "status": "active",
      "direction": "send"
    },
    {
      "name": "SEPA Direct Debit",
      "type": "sepa_debit",
      "status": "active",
      "direction": "receive"
    }
  ]
}
```

If entity onboarding is required, the next step is to check what additional information the entity needs to provide. Monite provides different onboarding options:

* [via API](./via-api/index)
* [via Web Component](./web-component)

## Get enabled payment methods

To get the payment methods that were enabled for an entity, call [`GET /entities/{entity_id}/payment_methods`](/v2023-09-01/api/payment-methods/get-entities-id-payment-methods):

```sh
curl -X GET 'https://api.sandbox.monite.com/v1/entities/3fa85f64...3f66afa6/payment_methods' \
     -H 'X-Monite-Version: 2023-09-01' \
     -H 'Authorization: Bearer YOUR_PARTNER_TOKEN' 
```

The response contains the display names and codes of each payment methods, the payment direction (`send` or `receive`), and the payment method's `status` (`active` or `inactive`). If a specific payment method is enabled for both the `send` and `receive` directions, it is listed twice (once per direction).

```json
{
  "data": [
    {
      "name": "Card payments",
      "type": "card",
      "status": "inactive",
      "direction": "receive"
    },
    ...
    {
      "name": "SEPA Payments",
      "type": "sepa_credit",
      "status": "active",
      "direction": "receive"
    },
    {
      "name": "SEPA Payments",
      "type": "sepa_credit",
      "status": "active",
      "direction": "send"
    },
    {
      "name": "SEPA Direct Debit",
      "type": "sepa_debit",
      "status": "active",
      "direction": "receive"
    }
  ]
}
```

## Payment method codes

The following table contains the payment method codes used by the `/entities/{entity_id}/payment_methods` endpoints, and whether these methods can be used to send or receive payments.

| Name                                   | `type` value        | Payment direction: `receive` | Payment direction: `send` |
| -------------------------------------- | ------------------- | ---------------------------- | ------------------------- |
| ACH Direct Debit                       | `us_ach`            | :heavy\_check\_mark:         |                           |
| Affirm                                 | `affirm`            | :heavy\_check\_mark:         |                           |
| Apple Pay                              | `card`              | :heavy\_check\_mark:         |                           |
| Bacs Direct Debit                      | `bacs_direct_debit` | :heavy\_check\_mark:         |                           |
| Bancontact                             | `bancontact`        | :heavy\_check\_mark:         |                           |
| BLIK                                   | `blik`              | :heavy\_check\_mark:         |                           |
| Card payments (credit and debit cards) | `card`              | :heavy\_check\_mark:         |                           |
| Electronic Payment Standard            | `eps`               | :heavy\_check\_mark:         |                           |
| Giropay                                | `giropay`           | :heavy\_check\_mark:         |                           |
| Google Pay                             | `card`              | :heavy\_check\_mark:         |                           |
| iDEAL                                  | `ideal`             | :heavy\_check\_mark:         |                           |
| Klarna                                 | `klarna`            | :heavy\_check\_mark:         |                           |
| Przelewy24                             | `p24`               | :heavy\_check\_mark:         |                           |
| SEPA Credit                            | `sepa_credit`       | :heavy\_check\_mark:         | :heavy\_check\_mark:      |
| SEPA Direct Debit                      | `sepa_debit`        | :heavy\_check\_mark:         |                           |